#!/bin/sh

if [ "x$1" = 'x' ]; then
    echo 'param to `go test --run ...` missing'
    exit 1
fi

while true; do
    go test --run "$1"
    inotifywait --exclude 'node_modules' -qqr -e close_write .. && clear
    sleep 0.2
done

